package eu.mhsl.minenet.minigames.instance.game.minigame.types.trafficlightrace;

import eu.mhsl.minenet.minigames.instance.game.minigame.Minigame;
import eu.mhsl.minenet.minigames.instance.game.minigame.config.GameFactory;
import eu.mhsl.minenet.minigames.instance.game.minigame.config.ConfigManager;
import eu.mhsl.minenet.minigames.instance.game.minigame.config.Option;
import eu.mhsl.minenet.minigames.message.component.TranslatedComponent;
import net.minestom.server.item.Material;

import java.util.Map;

public class TrafficLightRaceFactory implements GameFactory {
    @Override
    public TranslatedComponent name() {
        return TranslatedComponent.byId("game_TrafficlightRace#name");
    }

    @Override
    public ConfigManager configuration() {
        return null;
    }

    @Override
    public Minigame manufacture(Map<String, Option<?>> configuration) {
        return new TrafficLightRace();
    }

    @Override
    public Material symbol() {
        return Material.YELLOW_WOOL;
    }
}
